net.posprinter.utils

## Enum PosPrinterDev.ErrorCode

- java.lang.Object
- - java.lang.Enum<PosPrinterDev.ErrorCode>
  - - net.posprinter.utils.PosPrinterDev.ErrorCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PosPrinterDev.ErrorCode>
  Enclosing class:
    PosPrinterDev

      public static enum PosPrinterDev.ErrorCode
      extends java.lang.Enum<PosPrinterDev.ErrorCode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ClosePortFailed`
    `ClosePortSuccess`
    `InTimeout`
    `OpenPortFailed`
    `OpenPortSuccess`
    `ReadDataFailed`
    `ReadDataSuccess`
    `UnknownError`
    `WriteDataFailed`
    `WriteDataSuccess`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PosPrinterDev.ErrorCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PosPrinterDev.ErrorCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OpenPortFailed

          public static final PosPrinterDev.ErrorCode OpenPortFailed

    - #### OpenPortSuccess

          public static final PosPrinterDev.ErrorCode OpenPortSuccess

    - #### ClosePortFailed

          public static final PosPrinterDev.ErrorCode ClosePortFailed

    - #### ClosePortSuccess

          public static final PosPrinterDev.ErrorCode ClosePortSuccess

    - #### WriteDataFailed

          public static final PosPrinterDev.ErrorCode WriteDataFailed

    - #### WriteDataSuccess

          public static final PosPrinterDev.ErrorCode WriteDataSuccess

    - #### ReadDataSuccess

          public static final PosPrinterDev.ErrorCode ReadDataSuccess

    - #### ReadDataFailed

          public static final PosPrinterDev.ErrorCode ReadDataFailed

    - #### UnknownError

          public static final PosPrinterDev.ErrorCode UnknownError

    - #### InTimeout

          public static final PosPrinterDev.ErrorCode InTimeout

  - ### Method Detail

    - #### values

          public static PosPrinterDev.ErrorCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PosPrinterDev.ErrorCode c : PosPrinterDev.ErrorCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PosPrinterDev.ErrorCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null